<resources xmlns:tools="http://schemas.android.com/tools">
    <style name="App.BaseTheme" parent="Theme.MaterialComponents.DayNight.NoActionBar">
        <!-- System bars -->
        <item name="android:statusBarColor" tools:ignore="NewApi">?android:colorBackground</item>

        <!-- Remap legacy AppCompat attributes to MaterialComponent attributes -->
        <item name="colorPrimaryDark">?android:colorBackground</item>
        <item name="colorAccent">?colorSecondary</item>

        <!-- Typography styles -->
        <item name="fontFamily">@font/iran_sans_regular</item>
        <item name="textAppearanceHeadline1">@style/TextAppearance.App.Headline1</item>
        <item name="textAppearanceHeadline2">@style/TextAppearance.App.Headline2</item>
        <item name="textAppearanceHeadline3">@style/TextAppearance.App.Headline3</item>
        <item name="textAppearanceHeadline3AutoSize">@style/TextAppearance.App.Headline3AutoSize</item>
        <item name="textAppearanceHeadline4">@style/TextAppearance.App.Headline4</item>
        <item name="textAppearanceHeadline5">@style/TextAppearance.App.Headline5</item>
        <item name="textAppearanceHeadline6">@style/TextAppearance.App.Headline6</item>
        <item name="textAppearanceSubtitle1">@style/TextAppearance.App.Subtitle1</item>
        <item name="textAppearanceSubtitle2">@style/TextAppearance.App.Subtitle2</item>
        <item name="textAppearanceBody1">@style/TextAppearance.App.Body1</item>
        <item name="textAppearanceBody2">@style/TextAppearance.App.Body2</item>
        <item name="textAppearanceButton">@style/TextAppearance.App.Button</item>
        <item name="textAppearanceCaption">@style/TextAppearance.App.Caption</item>
        <item name="textAppearanceOverline">@style/TextAppearance.App.Overline</item>

        <!-- Shape styles -->
        <item name="shapeAppearanceSmallComponent">@style/ShapeAppearance.App.SmallComponent</item>
        <item name="shapeAppearanceMediumComponent">@style/ShapeAppearance.App.MediumComponent</item>
        <item name="shapeAppearanceLargeComponent">@style/ShapeAppearance.App.LargeComponent</item>

    </style>
</resources>